﻿@using GoCoCMS.Data.Domain.Identity
@using Microsoft.AspNetCore.Identity
@model GoCoCMS.Web.Models.Comment.CommentModel
@inject SignInManager<User> SignInManager
<!-- Comments Form -->
<div class="card my-4">
    <h5 class="card-header">Leave a Comment:</h5>
    <div class="card-body">
        @if (SignInManager.IsSignedIn(User))
        {
            <form id="comment-form" method="post">
                <input type="hidden" asp-for="BlogPostId" />
                <div class="form-group">
                    <textarea class="form-control" asp-for="Content" rows="3"></textarea>
                </div>
                <button type="button" id="comment-post" class="btn btn-primary">Submit</button>
            </form>
        }
        else
        {
            <div>
                Please login to comment this post.
            </div>
        }
    </div>
</div>
<div id="comment-list">
    @await Component.InvokeAsync("CommentList", Model.BlogPostId)
</div>

<script defer="" src="~/js/Comment.js" asp-append-version="true"></script>